Page 60 of 231 FirstFirst ... 1050585960616270110160 ... LastLast
Results 591 to 600 of 2306

Thread: HOWTO: Install and use the latest FFmpeg and x264

  1. #591
    Join Date
    Oct 2009
    Location
    /Germany/home
    Beans
    28
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: HOWTO: Install and use the latest FFmpeg and x264

    64 encoding should work once libavcodec-unstripped-52
    NO.
    No need for unstripped.

    x264 --help
    x264 core:78 r1318 fe83a90

    ffmpeg
    FFmpeg version SVN-r20419, Copyright (c) 2000-2009 Fabrice Bellard, et al.
    built on Oct 30 2009 13:43:05 with gcc 4.4.1
    configuration: --enable-gpl --enable-version3 --enable-libdirac --enable-libschroedinger --enable-nonfree --enable-postproc --enable-pthreads --enable-libfaac --enable-libfaad --enable-libmp3lame --enable-avfilter --enable-libtheora --enable-libvorbis --enable-libx264 --enable-libxvid --enable-x11grab --enable-libdc1394 --enable-runtime-cpudetect --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libopenjpeg --enable-libspeex


    Works all fine, without unstripped !!!
    Attached Images Attached Images
    Greetings
    Henrikx

    Ego sum, qui sum

  2. #592
    Join Date
    Feb 2007
    Beans
    26

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Installed from source, and now at least it encodes.

    But i get the dreaded "Public atom failure"when trying to put them in iTunes...

    Oh well, thanks for the help, I'll have to figure out a new approach

  3. #593
    Join Date
    Sep 2006
    Beans
    3,483

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by Jumbs View Post
    Installed from source, and now at least it encodes.

    But i get the dreaded "Public atom failure"when trying to put them in iTunes...

    Oh well, thanks for the help, I'll have to figure out a new approach
    What is your FFmpeg command and complete FFmpeg output? I don't have iTunes so I can't test this, but you may be able to fix this error with qt-faststart (part of FFmpeg):
    Code:
    qt-faststart input.mp4 output.mp4
    or MP4Box (part of the gpac package from the repository):
    Code:
    MP4Box -add input.mp4 output.mp4

  4. #594
    Join Date
    Sep 2006
    Beans
    3,483

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by Henrikx View Post
    NO.
    No need for unstripped.

    x264 --help
    x264 core:78 r1318 fe83a90

    ffmpeg
    FFmpeg version SVN-r20419, Copyright (c) 2000-2009 Fabrice Bellard, et al.
    built on Oct 30 2009 13:43:05 with gcc 4.4.1
    configuration: --enable-gpl --enable-version3 --enable-libdirac --enable-libschroedinger --enable-nonfree --enable-postproc --enable-pthreads --enable-libfaac --enable-libfaad --enable-libmp3lame --enable-avfilter --enable-libtheora --enable-libvorbis --enable-libx264 --enable-libxvid --enable-x11grab --enable-libdc1394 --enable-runtime-cpudetect --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libopenjpeg --enable-libspeex


    Works all fine, without unstripped !!!
    Yes, that is correct that FFmpeg that you compile youself from SVN doesn't need the unstripped libraries, but I believe the FFmpeg in question by the previous poster was the version from the repository which does require libavcodec-unstripped-5* to use restricted encoders.

  5. #595
    Join Date
    Feb 2007
    Beans
    26

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by FakeOutdoorsman View Post
    What is your FFmpeg command and complete FFmpeg output? I don't have iTunes so I can't test this, but you may be able to fix this error with qt-faststart (part of FFmpeg):
    Code:
    qt-faststart input.mp4 output.mp4
    or MP4Box (part of the gpac package from the repository):
    Code:
    MP4Box -add input.mp4 output.mp4
    Oh my, if that works, i don't know if i will be happy, or sad about all the stress that has caused me over the years.
    I have constantly been changing encoding tool due to it, and eventual wrote my own script to try to avoid it.

    I'll try it if and when i get a broken one and report back

  6. #596
    Join Date
    May 2009
    Beans
    13

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Hi, I get a problem when installing the pre-requsites;
    libfaad-dev: Beroende av: libfaad0 (= 2.6.1-3.1) men 2.7.0~ppa1~karmic3 kommer att installeras
    libsdl1.2-dev: Beroende av: libglu1-mesa-dev men det kommer inte att installeras
    Beroende av = dependent of (swedish)
    I.e. it sais that libfaad-dev is dependet on libfaad0 2.6.1-3.1, but 2.7.0~ppa1~karmic3 will be installed.

    All third party repos have been deactivated.
    Any ideas as to what the problem could be?

    A have tried resolving my problems with third party repo (FreshMedia), it gives me AAC encoding in ffmpeg, but breaks Mencoder - that's why I'm looking to go with official Mencoder and compile ffmpeg by my self.

    This is on a 9.10 system, upgraded from 9.04 where this all worked.

  7. #597
    Join Date
    Sep 2006
    Beans
    3,483

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by BadSeqtor View Post
    Hi, I get a problem when installing the pre-requsites;
    Beroende av = dependent of (swedish)
    I.e. it sais that libfaad-dev is dependet on libfaad0 2.6.1-3.1, but 2.7.0~ppa1~karmic3 will be installed.

    All third party repos have been deactivated.
    Any ideas as to what the problem could be?

    A have tried resolving my problems with third party repo (FreshMedia), it gives me AAC encoding in ffmpeg, but breaks Mencoder - that's why I'm looking to go with official Mencoder and compile ffmpeg by my self.

    This is on a 9.10 system, upgraded from 9.04 where this all worked.
    You probably still have a third-party repo active and it is interfering with your installation. Show the output of your sources.list:
    Code:
    less /etc/apt/sources.list
    Also show anything in /etc/apt/sources.list.d/.

  8. #598
    Join Date
    May 2009
    Beans
    13

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by FakeOutdoorsman View Post
    You probably still have a third-party repo active and it is interfering with your installation. Show the output of your sources.list:
    Code:
    less /etc/apt/sources.list
    Also show anything in /etc/apt/sources.list.d/.
    PHP Code:
    # See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
    # newer versions of the distribution.

    deb http://se.archive.ubuntu.com/ubuntu/ karmic main restricted multiverse
    deb-src http://se.archive.ubuntu.com/ubuntu/ karmic restricted main universe #Added by software-properties

    ## Major bug fix updates produced after the final release of the
    ## distribution.
    deb http://se.archive.ubuntu.com/ubuntu/ karmic-updates main restricted multiverse
    deb-src http://se.archive.ubuntu.com/ubuntu/ karmic-updates restricted main universe #Added by software-properties

    ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
    ## team. Also, please note that software in universe WILL NOT receive any
    ## review or updates from the Ubuntu security team.
    deb http://se.archive.ubuntu.com/ubuntu/ karmic universe
    deb http://se.archive.ubuntu.com/ubuntu/ karmic-updates universe

    ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
    ## team, and may not be under a free licence. Please satisfy yourself as to 
    ## your rights to use the software. Also, please note that software in 
    ## multiverse WILL NOT receive any review or updates from the Ubuntu
    ## security team.

    ## Uncomment the following two lines to add software from the 'backports'
    ## repository.
    ## N.B. software from this repository may not have been tested as
    ## extensively as that contained in the main release, although it includes
    ## newer versions of some applications which may provide useful features.
    ## Also, please note that software in backports WILL NOT receive any review
    ## or updates from the Ubuntu security team.

    ## Uncomment the following two lines to add software from Canonical's
    ## 'partner' repository.
    ## This software is not part of Ubuntu, but is offered by Canonical and the
    ## respective vendors as a service to Ubuntu users.
    # deb http://archive.canonical.com/ubuntu karmic partner
    deb http://security.ubuntu.com/ubuntu karmic-security main restricted multiverse
    deb-src http://security.ubuntu.com/ubuntu karmic-security restricted main universe #Added by software-properties
    deb http://security.ubuntu.com/ubuntu karmic-security universe
    deb http://archive.ubuntu.com/ubuntu karmic universe
    deb-src http://archive.ubuntu.com/ubuntu karmic universe #Added by software-properties
    # deb http://ppa.launchpad.net/xorg-edgers/ppa/ubuntu karmic main
    # deb-src http://ppa.launchpad.net/xorg-edgers/ppa/ubuntu karmic main
    # deb http://repository.cairo-dock.org/ubuntu karmic cairo-dock #Cairo-dock
    # deb http://ppa.launchpad.net/team-xbmc/jaunty-ppa/ubuntu karmic main #XBMC
    # deb-src http://ppa.launchpad.net/team-xbmc/jaunty-ppa/ubuntu karmic main #XBMC
    # deb http://le-web.org/repository stable main #BackInTime
    # deb http://debian.scribus.net/debian/ karmic main non-free #Scribus
    # ConvertIT
    # deb http://ftp.osuosl.org/pub/pculture.org/miro/linux/repositories/ubuntu jaunty/ #Miro
    # deb http://getswiftfox.com/builds/debian unstable non-free #Swiftfox
    # deb-src http://ppa.launchpad.net/gstreamer-developers/ppa/ubuntu karmic main #GStreamer
    # deb http://ppa.launchpad.net/gstreamer-developers/ppa/ubuntu karmic main #GStreamer
    # deb http://ppa.launchpad.net/jonabeck/ppa/ubuntu karmic main #iFuse iPhone mount
    # deb http://navit.latouche.info/ubuntu karmic main #Navit
    # deb http://deb.torproject.org/torproject.org karmic main #TOR Project
    # deb http://ppa.launchpad.net/freshmedia/ppa/ubuntu karmic main
    # deb-src http://ppa.launchpad.net/freshmedia/ppa/ubuntu karmic main
    deb http://se.archive.ubuntu.com/ubuntu karmic main multiverse #Multiverse 
    PHP Code:
    akirad.list
    akirad.list.save
    medibuntu
    .list
    medibuntu.list.distUpgrade
    medibuntu
    .list.save
    opera
    .list
    opera.list.distUpgrade
    opera
    .list.save 
    Thanks for taking time!
    Last edited by BadSeqtor; November 4th, 2009 at 08:41 PM.

  9. #599
    Join Date
    Sep 2006
    Beans
    3,483

    Re: HOWTO: Install and use the latest FFmpeg and x264

    I believe the FreshMedia repository is still activate, although it is commented out in sources.list. Each time this file is edited you should run:
    Code:
    sudo apt-get update
    This will resynchronize the package index files from their sources. Run this and then try downloading the FFmpeg dependencies again.

  10. #600
    Join Date
    May 2009
    Beans
    13

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by FakeOutdoorsman View Post
    I believe the FreshMedia repository is still activate, although it is commented out in sources.list. Each time this file is edited you should run:
    Code:
    sudo apt-get update
    This will resynchronize the package index files from their sources. Run this and then try downloading the FFmpeg dependencies again.
    I allways do that, did it again just to make sure but still get the same error.

Page 60 of 231 FirstFirst ... 1050585960616270110160 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •